# -*- coding: utf-8 -*-

"""Simulation de dé à 6 faces avec Tkinter
Structure des noms de variable :
Pour les widgets esclaves :
première lettre du widget parent+première lettre de la classe de widget+_+nom
Pour les images :
img_nom
Pour les variables de controle :
tkvar_nom
"""


from tkinter import*
import random


#définition des fonctions commandées par les boutons
def lancer():
    nblancers = int(tkvar_nblancers.get())
    somme = 0
    for i in range(nblancers):
        somme += random.randint(1,6)
    rl_res['text']= 'Moyenne : '+'%.3f'%(somme/nblancers)
    

#création du widget maitre (fenetre racine)
racine = Tk()
#création d'un titre
racine.title('Lancer de dé')
#Changement de la couleur de fonds
racine['background'] = '#86AF13'
#autoriser ou non que la fenetre racine soit redimensionnée
racine.resizable(width=False,height=False)

#définition des variables de controle
#obligatoirement après l'instanciation  du widget maitre
tkvar_nblancers = StringVar()


#création de widgets esclaves

#widget Button pour lancer la simulation
rb_lancer = Button(racine,text='simulation',fg='red',bg='#B5EDF0',command=lancer)
rb_lancer.grid(row=1,column=2,padx=10)

#widget Entry pour que l'utilisateur entre le nombre de lancers
#texte justifié à droite
re_nblancers = Entry(racine,textvariable=tkvar_nblancers,justify='right')
re_nblancers.grid(row=2,column=2,padx=10)

#widget Label pour afficher le résultat
rl_res = Label(racine,font=('Times',16,'bold'),text='Moyenne :  ')
rl_res.grid(row=3,column=2,padx=10)

#widget Button pour quitter
rb_quitter = Button(racine,text='Quitter',command=racine.quit)
rb_quitter.grid(row=4,column=2,padx=10)


#Widget Canvas qui contiendra  une image
rc_fond = Canvas(racine,width=320,height=240)
img_de = PhotoImage(file='images/de.gif')
rc_fond.create_image(0,0,image=img_de,anchor='nw')
rc_fond.grid(row=1,column=1,rowspan=4,padx=10,pady=10)


#lancement du gestionnaire d'événements
racine.mainloop()

racine.destroy()




