# -*- coding: utf-8 -*-
"""Simulation de dé à 6 faces avec Tkinter
Noms des variables de controle : tkvar_nom"""

from tkinter import*
import random

#définition des fonctions commandées par les boutons
def lancer():
    nblancers = tkvar_nblancers.get()
    somme = 0
    for i in range(nblancers):
        somme += random.randint(1,6)
    res['text']= 'Moyenne : '+'%.3f'%(somme/nblancers)
    
#création du widget maitre (fenetre racine)
fen = Tk()
#création d'un titre
fen.title('Lancer de dé')
#Changement de la couleur de fonds
fen['background'] = '#86AF13'
#autoriser ou non que la fenetre racine soit redimensionnée
fen.resizable(width=False,height=False)

#définition des variables de controle
#obligatoirement après l'instanciation  du widget maitre
tkvar_nblancers = IntVar()
#on initialise la valeur du nb de lancers à 1000
tkvar_nblancers.set(1000)

#création de widgets esclaves
#widget Button pour lancer la simulation
lancer = Button(fen,text='simulation',fg='red',bg='#B5EDF0',command=lancer)
lancer.grid(row=1,column=2,padx=10)

#widget Entry pour que l'utilisateur entre le nombre de lancers
#texte justifié à droite
nblancers = Entry(fen,textvariable=tkvar_nblancers,justify='right')
nblancers.grid(row=2,column=2,padx=10)

#widget Label pour afficher le résultat
res = Label(fen,font=('Times',16,'bold'),text='Moyenne :  ')
res.grid(row=3,column=2,padx=10)

#widget Button pour quitter
quitter = Button(fen,text='Quitter',command=fen.quit)
quitter.grid(row=4,column=2,padx=10)

#Widget Canvas qui contiendra  une image
fond = Canvas(fen,width=320,height=240)
img = PhotoImage(file='images/de.gif')
fond.create_image(0,0,image=img,anchor='nw')
fond.grid(row=1,column=1,rowspan=4,padx=10,pady=10)

#lancement du réceptionnaire d'événements
fen.mainloop()
#lorsqu'on sort de la boucle du réceptionnaire d'événement
#on détruit la fenetre
fen.destroy()



