# -*- coding: utf-8 -*-
"""Browser d'images en .gif
Attention il ya un bug avec PhotoImage :
quand on associe une image à un canevas, il faut garder une référence
à cette image dans une liste ou un dictionnaire :

extrait de la page web http://infohost.nmt.edu/tcc/help/pubs/pil/image-tk.html :

 There is a bug in the current version of the Python Imaging Library that can cause your images not to display properly. When you create an object of class PhotoImage, the reference count for that object does not get properly incremented, so unless you keep a reference to that object somewhere else, the PhotoImage object may be garbage-collected, leaving your graphic blank on the application.

For example, if you have a canvas or label widget that refers to such an image object, keep a list named .imageList in that object, and append all PhotoImage objects to it as they are created. If your widget may cycle through a large number of images, you will also want to delete the objects from this list when they are no longer in use. 
"""

from tkinter import*
#pour l'affichage de fenetres pop up de messages
from tkinter.messagebox import*
#pour l'affichage de boites de dialogue de gestion de fichiers
from tkinter.filedialog import*

#definition des fonctions commandées par le menu

def ouvrir():
    """fonction d'ouverture de fichier
    Utilisation de la fonction askopenfilename  du sous-module tkFileDialog
    Il faut charger l'image dans une variable globale afin qu'elle soit référencée
    lorsqu'on revient au programme principal
    """
    global picture
    fond.delete(ALL) # on efface l'image précédente affichée dans le canevas
    filename= askopenfilename(title='Ouvrir une image',filetypes=[('Images ;gif','.gif'),('Tous fichiers','.*')])
    print(filename,type(filename))
    picture= PhotoImage(file=filename)
    #listephotos.append(picture)
    fond['width'], fond['height'] = picture.width(),picture.height()
    fond.create_image(0,0,anchor='nw',image=picture)
    racine.title('Image %d x %d'%(picture.width(),picture.height()))
    
def fermer():
    """fonction de fermeture de fichier"""
    fond.delete(ALL)
    racine.title('Image')
    
def quitter():
    """Quitter l'application"""
    racine.quit()

def aide():
    """Affichage d'une fenetre pop-up 
    avec l'adresse d'un site de référence sur Tkinter"""
    showinfo('Site à consulter','http://infohost.nmt.edu/tcc/help/pubs/tkinter/web/index.html')

#création du widget maitre (fenetre racine)
racine = Tk()
#création d'un titre
racine.title('Image')
#autoriser ou non que la fenetre racine soit redimensionnée
racine.resizable(width=False,height=False)


#création de la barre de menu avec le widget Menu
menubar = Menu(racine)
#création d'un menu découlant fichier
menufichier = Menu(menubar,tearoff=0)
menufichier.add_command(label='Ouvrir une image',command=ouvrir)
menufichier.add_command(label='Fermer une image',command=fermer)
menufichier.add_command(label='Quitter',command=quitter)
menubar.add_cascade(label='Fichier',menu=menufichier)
#création d'un menu découlant aide
menuaide = Menu(menubar,tearoff=0)
menuaide.add_command(label='Aide',command=aide)
menubar.add_cascade(label='Aide',menu=menuaide)


#création d'un canevas pour afficher l'image
fond = Canvas(racine,bg='white')
fond.pack(padx=15,pady=15)
#listephotos = []

#affichage du menu
racine['menu']=menubar

#lancement du réceptionnaire d'événements
racine.mainloop()
racine.destroy()

