# -*- coding: utf-8 -*-

"""
Calculatrice minimaliste avec tkinter
Pour mettre en évidence le lien entre un événement et un widget
via la méthode bind
"""

from tkinter import*
from math import*



#fonction déclenchée par le gestionnaire d'événement
def deplacement(n):
    global x,y
    
    x0,y0 = x,y
    
    if n==1:
        #deplacement vers le haut
        y= max(0,y-dy)
    elif n==2:
        #deplacement vers le bas
        y= min(400,y+dy)
    elif n==3:
        #deplacement vers la gauche
        x= max(0,x-dx)
    else:
        #deplacement vers la droite
        x= min(400,x+dx)
    rc_fond.create_line(x0,y0,x,y,width=2,fill='red')
    
#Variables globales
#x ey y sont les coordonnées du point courant sur le canevas
#dx et dy sont les déplacements élémentaires
x,y = 200,200
dx,dy = 5,5

#création du widget maitre (fenetre racine)
racine = Tk()
#création d'un titre
racine.title('Télécran')
#autoriser ou non que la fenetre racine soit redimensionnée
racine.resizable(width=False,height=False)




#création de widgets esclaves

#widget Button pour se déplacer vers le haut (codé 1)
rb_1 = Button(racine,fg='red',bg='#CCEB77',text='Haut',font=('Arial',20),command=lambda x=1:deplacement(x))
rb_1.grid(row=1,column=2,padx=10,sticky='e')


#widget Button pour se déplacer vers le bas (codé 2)
rb_2 = Button(racine,fg='red',bg='#CCEB77',text='Bas',font=('Arial',20),command=lambda x=2:deplacement(x))
rb_2.grid(row=2,column=2,padx=10,pady=10,sticky='e')


#widget Button pour se déplacer vers la gauche (codé 3)
rb_3 = Button(racine,fg='red',bg='#CCEB77',text='Gauche',font=('Arial',20),command=lambda x=3:deplacement(x))
rb_3.grid(row=3,column=2,padx=10,pady=10,sticky='e')


#widget Button pour se déplacer vers la droite (codé 4)
rb_4 = Button(racine,fg='red',bg='#CCEB77',text='Droite',font=('Arial',20),command=lambda x=4:deplacement(x))
rb_4.grid(row=4,column=2,padx=10,pady=10,sticky='e')



#widget Button pour quitter
rb_quitter = Button(racine,fg='red',bg='#CCEB77',text='Quitter',font=('Arial',20),command=racine.quit)
rb_quitter.grid(row=5,column=2,padx=10,pady=10,sticky='e')

#Widget Canvas où se feront les dessins
rc_fond = Canvas(racine,width=500,height=500,bg='white')
rc_fond.grid(row=1,column=1,rowspan=5,pady=10,padx=10)


#lancement du gestionnaire d'événements
racine.mainloop()

racine.destroy()


