# -*- coding: utf-8 -*-

"""
Télécran avec Tkinter
Pour mettre en évidence le lien entre un événement et un widget
via la méthode bind
"""
from tkinter import*

#fonction déclenchée par le réceptionnaire d'événement
def deplacement(event):
    """Déplacement du curseur dans le canevas"""
    global x,y
    print(x,y)
    x0,y0 = x,y
    #on passe n majuscule 
    event.keysym = event.keysym.upper()
    if event.keysym=='UP':
        #deplacement vers le haut
        y= max(0,y-dy)
    elif event.keysym=='DOWN':
        #deplacement vers le bas
        y= min(H,y+dy)
    elif event.keysym=='LEFT':
        #deplacement vers la gauche
        x= max(0,x-dx)
    elif event.keysym=='RIGHT':
        #deplacement vers la droite
        x= min(W,x+dx)
    fond.create_line(x0,y0,x,y,width=2,fill='red')
    
def clear():
    """Efface le canevas"""
    fond.delete(ALL)
        
#Variables globales
#hauteur H et largeur W
H,W = 500,500
#x ey y sont les coordonnées du point courant sur le canevas
#dx et dy sont les déplacements élémentaires
x,y = 200,200
dx,dy = 5,5

#création du widget maitre (fenetre racine)
fen = Tk()
#création d'un titre
fen.title('Télécran')
#autoriser ou non que la fenetre racine soit redimensionnée
fen.resizable(width=False,height=False)

#création de widgets esclaves
#Widget Canvas où se feront les dessins
fond = Canvas(fen,width=W,height=H,bg='white')
fond.grid(row=1,column=1,rowspan=2,pady=10,padx=10)
#on force le focus sur le widget Canvas, on peut aussi changer le focus avec la touche tab
fond.focus_force()
#si on appuie sur une touche, le gestionnaire d'événement deplacement est déclenché
fond.bind('<Key>',deplacement)

#widget Button pour effacer le Canevas
effacer = Button(fen,fg='red',bg='#CCEB77',text='Effacer',font=('Arial',20),command=clear)
effacer.grid(row=1,column=2,padx=10,pady=10)

#widget Button pour quitter
quitter = Button(fen,fg='red',bg='#CCEB77',text='Quitter',font=('Arial',20),command=fen.quit)
quitter.grid(row=2,column=2,padx=10,pady=10)

#lancement du réceptionnaire d'événements
fen.mainloop()
#lorsqu'on sort de la boucle du réceptionnaire d'événement
#on détruit la fenetre
fen.destroy()


